Page MenuHomePhabricator

Create a JS gadget for GeoHack in Wikipedia
Closed, DeclinedPublic

Description

It would be nice to make possible for the user to view the full screen interactive map and links to external map services, without going to WMFLabs.
There is already a template for GeoHack, and it's possible to reuse it. We can show the same page inside popup or Media Viewer.

Related Objects

Event Timeline

putnik created this task.Apr 5 2016, 2:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 5 2016, 2:21 PM
putnik added a comment.Apr 5 2016, 2:24 PM

I almost finished the alpha version. I will publish it in the next few days.

Yurik added a comment.Apr 5 2016, 2:47 PM

Ideally I think we should rely on <maplink> instead of a gadget. This makes code identical on all wikis, and better supported.

Yurik added a comment.Apr 5 2016, 7:09 PM

Also, this won't work unless the REFERER header is set to wmflabs.org or wikivoyage.org

Yurik moved this task from Unsorted to Tracking on the Maps (Kartographer) board.Apr 5 2016, 7:09 PM
Restricted Application added a project: Discovery. · View Herald TranscriptMay 17 2016, 8:34 PM
Yurik closed this task as Resolved.Jun 7 2016, 9:55 PM

Merging into T137253

Yurik changed the task status from Resolved to Declined.Jun 7 2016, 9:56 PM